it-swarm.dev

Chyba při upgradu z 2.9.2 na 3.0.1

Mám instalaci wordpress pod svn. Byl jsem ve verzi 2.9.2. Byly to kroky, které jsem podnikl:

  • uložil kopii mého současného adresáře wordpress
  • cd do mého adresáře wordpress nejvyšší úrovně
  • svn up (jen aby se ujistil, že mám nejnovější verzi 2.9)
  • svn sw http://core.svn.wordpress.org/tags/3.0.1/ . (upgrade)
  • spusťte wp-admin/upgrade.php
  • dostal tuto chybu "Fatal error: Call to undefined function is_multisite () in (můj instalační adresář) /wordpress/wp-includes/wp-db.php on line 505"

Rozhlédl jsem se a někteří lidé si myslí, že je to problém s pamětí s PHP. Tak jsem vyzkoušela plugin Memory Bump a to nefungovalo.

Nějaké nápady?

Aktualizovat: Nalezeno tento příspěvek . Stáhl si nejnovější 3.0 tar a přepsal můj wp-settings.php ten, který je v downloadu.

Získejte nyní různé chyby. "Závažná chyba: Nelze znovu deklarovat wp_load_image () (dříve deklarováno v /myinstalldir/wordpress/wp-includes/media.php:241) in/ myinstalldir /wordpress/wp-admin/includes/image.php na řádku 168 "

Když hraju a svn status vidím spoustu 'S' vlajek (přepojených). Musím se tím zabývat? wp-settings.php má tento příznak.

Aktualizace: Zde je výstup výše uvedeného svn sw z kořenového adresáře Wordpress.

Aktualizovat: Výstup svn stzde . (Migrace dlouhých záznamů na Pastebin)

Aktualizovat: Výstup svn info

Path: .
URL: http://core.svn.wordpress.org/tags/3.0.1
Repository Root: http://core.svn.wordpress.org
Repository UUID: 1a063a9b-81f0-0310-95a4-ce76da25c4cd
Revision: 15559
Node Kind: directory
Schedule: normal
Last Changed Author: ryan
Last Changed Rev: 13165
Last Changed Date: 2010-02-15 09:38:59 -0800 (Mon, 15 Feb 2010)
1
milesmeow

Také jsem použil SVN před aktualizací mé instalace wordpress. Až se zkopírované dílo dostane velmi rychle se všemi manuálními aktualizacemi nebo soubory vytvořenými pluginy.

Já bych vždy doporučil použít aktualizační funkce wordpress, pokud chcete pouze krok z jedné označené verze na jinou.

I když jsem také použít SVN pro místní kopii wordpress, aby mohli rychle otestovat své pluginy v nějaké staré verzi reálné rychlé. Používám Eclipse k přepnutí z jedné na jinou značku a až do teď to fungovalo. Ale nikdy se to nedozvíš.

UPDATE: Jen jsem se pokusil přepnout čistou pokladnu z 2.9.2 na 3.0.1, která vypadá, jako by fungovala, ale vidím pouze a ne frontend výchozího blogu.

UPDATE: Co mi ani režim ladění neřekl: Jako výchozí před WP 3.0 téma již není k dispozici Musím přepnout na nové téma „2010“. Teď všechno funguje.

Takže přepínání funguje, ale jak jsem řekl dříve, vaše pracovní kopie obvykle zkazí spoustu souborů, které by mohly způsobit některé problémy s aktualizací WP kopie pomocí přepínače SVN.

2
2ndkauboy

Zní to, jako byste svn sw spustili v podadresáři, nikoli v adresáři WordPress nejvyšší úrovně. Můžeme vám pomoci s obnovou, pokud nemůžete pouze zkopírovat čistou kopii a přesouvat své pluginy a motivy. Plný výstup svn st by byl užitečný, stejně jako svn info pro každý adresář, který může být přepnut nezávislý na svém nadřazeném objektu.

0